SpriteLibrary

# SpriteDatabase
ReadFromXmlFile
T
Method

Reads an object instance from an XML file.

Object type must have a parameterless constructor.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public static T ReadFromXmlFile<T>(
    	string filePath
    )
    where T : new()

#### Parameters

filePath
  Type: System
  String
  The file path to read the object instance from.

#### Type Parameters

T
  The type of object to read from the file.

#### Return Value

Type: T
Returns a new instance of the object read from the XML file.
See Also

#### Reference

SpriteDatabase Class
SpriteLibrary Namespace